Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/splot.pro	(revision 142)
@@ -3,42 +3,38 @@
 ;------------------------------------------------------------
 ;+
-; NAME:splot (super plot)
 ;
-; PURPOSE: meme chose que plot mais compatible avec l''ensemble de
-; l'environnement (common.pro est inclu)
+; file_comments 
+; Same thing that plot but compatible with the whole environnement (common.pro inclued)
 ;
-; CATEGORY:dessine
-;
-; CALLING SEQUENCE: PLOT, [X,] Y
+; @categories graphics
 ; 
 ; INPUTS:cd IDL> ?plot
 ;
-; KEYWORD PARAMETERS:
-;  meme que ceux de plot avec en plus:
+; @keyword NOREINITPLT
+; We active it if we do not want environnement variables !p, !x, !y, !z 
+; to be reinitilalizted by the procedure reinitplt
+; 
+; @keyword _EXTRA
+; used to pass your keywords
 ;
-;      NOREINITPLT: a actier si on ne veut pas que les variables
-;      d''environnemet !p, !x, !y, !z soient reinitialisees par la
-;      procedure reinitplt
+; @uses
+; common.pro
 ;
-; OUTPUTS:
+; @restrictions 
+; If NOREINITPLT is not activated, all environnement 
+; variables !p, !x, !y, !z are reinitializtedby the procedure reinitplt
 ;
-;   Si NOREINITPLT n''est pas ective toutes les variables
-;      d''environnemet !p, !x, !y, !z sont reinitialisees par la
-;      procedure reinitplt
-;
-; COMMON BLOCKS:common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
+; @examples
 ;      IDL> splot, indgen(10),ystyle=1,small=[1,2,1],/portrait
 ;      IDL> splot, -indgen(10),ystyle=1,small=[1,2,2],/noerase
-;      IDL> @ps
+;      IDL> \@ps
 ;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                      18/10/1999
+;
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -50,12 +46,12 @@
 ;
 @common
-; 1) je reinitialise l''environnememt graphique (les variables !x, !y et !p): 
+; 1) I reinitializate the graphic environment (les variables !x, !y et !p): 
    if NOT keyword_set(NOREINITPLT) then reinitplt, _extra = ex 
-; 2) je place le dessin a l'ecran comme sur le postcript 
+; 2) i put the drawing on the screen like on the postcript 
    placedessin, 'autre', _extra = ex
-; 3) je fais mon joli dessin 
+; 3) Drawing
    if n_elements(y) EQ 0 then plot,  x, xstyle = 1, ystyle = 1, _EXTRA = ex $
    ELSE plot,  x, y, xstyle = 1, ystyle = 1, _EXTRA = ex
-; 4) je termine le dessin 
+; 4) End of drawing 
    terminedessin, _extra=ex 
 ;
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/tvplus.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/tvplus.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/tvplus.pro	(revision 142)
@@ -3,67 +3,70 @@
 ;------------------------------------------------------------
 ;+
-; NAME: tvplus
-;
-; PURPOSE: enhanced version of tvscl
-;
-; CATEGORY: quick exploration of 2D arrays 
-;
-; CALLING SEQUENCE: tvplus,z2d [,cellsize]
+;
+; @file_comments
+; Enhanced version of tvscl
+;
+; @categories quick exploration of 2D arrays 
 ;
 ; INPUTS: 
 ;
-;    z2d: 2D array to visualize
-;
-;    cellsize: (optional) this is the size (in pixel) of the square
-;    representing 1 array element. By default, this size is computed
-;    automatically in order that the size of the plotting window do
-;    not exceed the screen size. If the user specify a large value
-;    of cellsize that forces tvplus to create a window larger than
-;    the screen, a "scrolling window" will be displayed instead of a
-;    regular window. Unfortunately the nice fonctionnalities of tvplus
-;    are not coded for "scrolling window" case...
-;
-; KEYWORD PARAMETERS:
-;
-;       BOTTOM: The lowest color index of the colors to be loaded in
-;       the bar. default is 0.
-;
-;       C_NAN: The color number that should be used for the NaN values.
-;       default value is !d.n_colors < 255
-;
-;       C_MASK: The color number that should be used for the mask values.
-;       default value is 0
-;
-;       OFFSET: 2 elements vector used by tvplus itself when shoing zoom.
-;       It is used to shift the ranges of xaxis and yaxis.
-;       For example: tvplus,sst[x1:x2,y1:y2],offest=[x1,y1]
-;
-;       MASK: The mask value. Note that if abs(mask) < 1.e6, then the
-;       exact value of the mask is used to find the maskwd point.
-;       if abs(mask) > 1.e6, the test to find the masked value is ge
-;       abs(mask)/10. This is necessary to avoid the rounding errors
-;
-;       MIN and MAX: scalars used to specify the min and max values
-;       of the color bar. default is from 0 to !d.n_colors < 255
-;
-;       NCOLORS:  This is the number of colors in the color
-;       bar. default is !d.n_colors<255 -1
-;
-;       NOINTERP: used this keyword if you don't whant that the values
-;       are interpolated between 0 (or min) and !d.n_colors < 255 (or max).
-;       This can be for example usefull when working on byte type arrays.
-;
-;       NOUSEINFOS: activite to supress the printed message explaining
-;       how to use tvplus
-;
-;	WINDOW: Number of the window used to display the array values.
-;       default is window number 0.
-;
-; OUTPUTS: no (except the printed finformations, see below)
-;
-; COMMON BLOCKS: no
-;
-; SIDE EFFECTS:
-;
+; @param Z2D {in}{required}
+; 2D array to visualize
+;
+; @param CELLSIZE {in}{optiona}
+; This is the size (in pixel) of the square
+; representing 1 array element. By default, this size is computed
+; automatically in order that the size of the plotting window do
+; not exceed the screen size. If the user specify a large value
+; of cellsize that forces tvplus to create a window larger than
+; the screen, a "scrolling window" will be displayed instead of a
+; regular window. Unfortunately the nice fonctionnalities of tvplus
+; are not coded for "scrolling window" case...
+;
+; @keyword BOTTOM
+; The lowest color index of the colors to be loaded in
+; the bar. default is 0.
+;
+; @keyword C_NAN
+; The color number that should be used for the NaN values.
+; default value is !d.n_colors < 255
+;
+; @keyword C_MASK
+; The color number that should be used for the mask values.
+; default value is 0
+;
+; @keyword OFFSET 
+; 2 elements vector used by tvplus itself when shoing zoom.
+; It is used to shift the ranges of xaxis and yaxis.
+; For example: tvplus,sst[x1:x2,y1:y2],offest=[x1,y1]
+;
+; @keyword MASK 
+; The mask value. Note that if abs(mask) < 1.e6, then the
+; exact value of the mask is used to find the maskwd point.
+; if abs(mask) > 1.e6, the test to find the masked value is ge
+; abs(mask)/10. This is necessary to avoid the rounding errors
+;
+; @keyword MIN 
+; Scalar used to specify the min value of the color bar. default is 0
+;
+; @keyword MAX
+; Scalar used to specify the max value of the color bar. default is !d.n_colors < 255
+;
+; @keyword NCOLORS
+; This is the number of colors in the color bar. default is !d.n_colors<255 -1
+;
+; @keyword NOINTERP
+; Used this keyword if you don't whant that the values
+; are interpolated between 0 (or min) and !d.n_colors < 255 (or max).
+; This can be for example usefull when working on byte type arrays.
+;
+; @keyword NOUSEINFOS
+; Activite to supress the printed message explaining how to use tvplus
+;
+; @keyword WINDOW
+; Number of the window used to display the array values.
+; default is window number 0.
+;
+; @restrictions 
 ; use your mouse to scan the array values...
 ;     left button  : mouse position and associated array value
@@ -71,12 +74,18 @@
 ;     right button : quit
 ;
-; RESTRICTIONS: the nice fonctionnalities of tvplus are not coded
-;               for "scrolling window" case...
-;
-; EXAMPLE:  IDL> tvplus, dist(100)
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; the nice fonctionnalities of tvplus are not coded
+; for "scrolling window" case...
+;
+; @examples
+; IDL> tvplus, dist(100)
+;
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                       18/12/98
 ; Aug 2005: quick cleaning + english
+;
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -246,5 +255,5 @@
       device, decomposed = 0
     endif
-    slide_image, arr $          ; on le dessine ds une fenetre avec une scrolling bar
+    slide_image, arr $          ; We draw it in a window with a scrolling bar
                  , xsize = nx, ysize = ny $
                  , xvisible = round(.7*dimensions[0]) < (size(arr))[1] $
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/addaxe.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/addaxe.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/addaxe.pro	(revision 142)
@@ -3,32 +3,30 @@
 ;------------------------------------------------------------
 ;+
-; NAME:addaxe
 ;
-; PURPOSE:ajoute un axe qd on fait une section oblique ds pltz, pltt
-; ou plt1d
+; @file_comments
+; Add an axis when we do an oblique section in pltz, pltt
+; or plt1d
 ;
-; CATEGORY:autour de pltz, pltt et plt1d
+; @categories
+; graphic
 ;
-; CALLING SEQUENCE:addaxe, type, posfenetre
+; @param ENDPOINTS {in}{required}
+; Coordonnees of extremities of the section
 ; 
-; INPUTS:endpoints:coordonnees des extremites de ;a section
-;        type: un string de 2 characteres specifiant qule type de plot
-; on fait.
-;        posfenetre: ler vecteur !p.posotion correspondant a ;a
-;        position du cadre de la partie dessin du plot.
+; @param TYPE {in}{required}
+; A string of two characters specifying the type of plot we do
 ;
-; KEYWORD PARAMETERS:
+; @param POSFENETRE {in}{required}
+; The vector !p.position corresponding to the frame position of 
+; the drawing part of the plot.
 ;
-; OUTPUTS:
+; @uses
+; common.pro
 ;
-; COMMON BLOCKS:common.pro
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @version
+; $Id$
 ;
 ;-
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/autoscale.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/autoscale.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/autoscale.pro	(revision 142)
@@ -3,33 +3,30 @@
 ;------------------------------------------------------------
 ;+
-; NAME: autoscale
 ;
-; PURPOSE: on donne un min et un max et la procedure renvoie le
-; contour intevalle qui va bien et la valeur des labels.
+; @file_comments 
+; We give a min and a max, and the procedure send back 
+; the good contour interval and labels's value.
 ;
-; CATEGORY: autour de CONTOUR
+; @categories 
+; graphic
 ;
-; CALLING SEQUENCE: autoscale, min, max, ci
-; 
-; INPUTS: min et max: 2 reels specifiants entre quel min et quel max
-; on veut tracer un contour
+; @param MIN {in}{required}
+; A reel number specifying above what value we want to trace a contour
 ;
-; KEYWORD PARAMETERS: none
+; @param MAX {in}{required}
+; A reel number specifying below what value we want to trace a contour
 ;
-; OUTPUTS: ci et evenuellement levels. ci est un reel qui donne le
-; contour intevalle. A utiliser ds CONTOUR avlec le mot clef LEVEL.
+; @param CI. {out}
+; It is a reel number giving the contour interval. Use it in CONTOUR with the keyword LEVEL.
 ;
-; COMMON BLOCKS:
+; @restrictions
+; CI is a multiple of the unity in unity log of 10.
+; It force the number of contour to be even.
 ;
-; SIDE EFFECTS:
+; @history
+; G. Roullet / aout 99 (gr@lodyc.jussieu.fr)
 ;
-;  CI est un multiple de l'unite en unite log de 10.
-;  force le nombre de contour a etre pair.
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: G. Roullet / aout 99 (gr@lodyc.jussieu.fr)
+; @version
+; $Id$
 ;
 ;-
@@ -39,6 +36,6 @@
 PRO autoscale, min, max, ci
 ;
-;  estimation d'un premier CI, notez la presence du floor (arrondi inferieur)
-; ce CI est un multiple de l'unite en unite log de 10.
+;  Estimation of a first CI, notice the presence of the floor (Inferior round)
+; This CI is a multiple of the unity in unity log of 10.
 ;
 ;
@@ -53,6 +50,6 @@
     coef = [2, 2.5, 5, 10]
 ;
-; test differents CI (contour intervales), i.e. 1, 2, 2.5, 5 et 10
-; jusqu'a ce que le nombre de contours soit inferieur a 30.
+; We test differents CI (contour intervals), i.e. 1, 2, 2.5, 5 and 10
+; until the number of contour is inferior to 30.
 ;
     WHILE ceil((max-min)/ci) GE 30 DO BEGIN 
@@ -67,5 +64,5 @@
 
 ;
-;  force le nombre de contour a etre pair
+;  We force the number of contour to be even
 ;
     IF nlevels MOD 2 EQ 1 THEN BEGIN 
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/axis4pltz.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/axis4pltz.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/axis4pltz.pro	(revision 142)
@@ -3,34 +3,47 @@
 ;------------------------------------------------------------
 ;+
-; NAME:axis4pltz
 ;
-; PURPOSE:compute the mask and the axis for a vertical section
+; @file_comments
+; compute the mask and the axis for a vertical section
 ;
-; CATEGORY:
+; @param MASK {in}{required}
+;  3d mask
+;        
+; @param GLAM {in}{required}
+; 2d longitude 
+; 
+; @param GPHI {in}{required}
+; 2d latitude
 ;
-; CALLING SEQUENCE:
+; @param Z {in}{required}
+; 1d depth
+;
+; @keyword XXAXIS 
+; to get the xaxis we need to use in pltbase
+;      
+; @keyword ZZAXIS 
+; to get the yaxis we need to use in pltbase
+;
+; @keyword SIN 
+; Activate this keyword if we want the x axis to be traced in sinus of the 
+; latitude when we make a drawing f(y)
+;
+; @keyword ZRATIO
+; When the drawing has a zoomed part, it is the size rapport between the zoomed part, 
+; hz (zoom height), and the whole drawing, ht (total height). By default =2./3
+;
+; @keyword _EXTRA
+; used to pass your keywords
 ; 
-; INPUTS:mask: 3d mask
-;        glam, gphi: 2d longitudes and latitudes
-;        z:1d depth
+;  Others: see pltz 
 ;
-; KEYWORD PARAMETERS:
-;        XXAXIS to get the xaxis we need to use in pltbase
-;        ZZAXIS to get the yaxis we need to use in pltbase
 ;
-;        Others: see pltz 
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+;                      June 24, 2002
 ;
-; OUTPUTS:
+; @version
+; $Id$
 ;
-; COMMON BLOCKS:
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
-;                      June 24, 2002
 ;-
 ;------------------------------------------------------------
@@ -83,5 +96,5 @@
   ENDELSE 
 ;----------------------------------------------------------
-; on projette l''axe z dans [0,1]
+; We project the z axis in [0,1]
 ;----------------------------------------------------------
   if not keyword_set(zratio) then zratio = 2./3
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/barrecouleur.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/barrecouleur.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/barrecouleur.pro	(revision 142)
@@ -3,16 +3,21 @@
 ;------------------------------------------------------------
 ;+
-; NAME:barrecouleur
 ;
-; PURPOSE:surcouche de colorbar
+; @file_comments
+; Overlayeur of colorbar
 ;
-; CATEGORY:delestage de l''ecriture de plt, pltz, pltt
+; @categories
+; utilities
 ;
-; CALLING SEQUENCE:barrecouleur
+; @restrictions pass all argument we want thanks to _extra
 ;
-; SIDE EFFECTS: passer tous les arguments que l''on veut grace a _extra
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+;                       23/12/98
 ;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
-;                       23/12/98
+; @version
+; $Id$
+;
+; @todo seb: mettre les keyword et les param
 ;-
 ;------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checkfield.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checkfield.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checkfield.pro	(revision 142)
@@ -1,42 +1,2 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
-;+
-; NAME:checkfield
-;
-; PURPOSE:en entree de plt, pltz, pltt et plt1d, verifie que le
-; champ donne a bien une taille compatible avec le domaine et fait au
-; besoin les moyennes pour ressortir en fin de fonction un tableau 2d
-; si on fait un plot du type: 'xy', 'xz', 'xt', 'yz', 'yt', 'zt' ou un
-; tableau 1d si on fait un plot du type 'x', 'y', 'z', 't'.
-;
-; CATEGORY:en entree de plt, pltz, pltt et plt1d
-;
-; CALLING SEQUENCE:res=checkfield(field, procedure)
-; 
-; INPUTS:
-;        filed: un champ recomdant aux criteres de litchamp.pro, cf.
-;        IDL>xhelp,'litchamp'
-;
-; KEYWORD PARAMETERS:
-; 
-;         /WDEPTH: to specify that the field is at W depth instad of T 
-;         depth (automatically activated if vargrid eq 'W')
-;
-; OUTPUTS:
-;
-; COMMON BLOCKS:common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
-;                      08/02/2000
-;-
-;------------------------------------------------------------
-;------------------------------------------------------------
 FUNCTION err_1d, type, n1, name, n2
 ;
@@ -79,4 +39,64 @@
                   + ', ' + strtrim(jpt, 1) + ']'], /simple)
 END
+;------------------------------------------------------------
+;------------------------------------------------------------
+;------------------------------------------------------------
+;+
+;
+; @file_comments
+; In input of plt, pltz, pltt and plt1d, it check that the field give 
+; a size compatible with the domain and, if needed, average to give us 
+; a 2d array if we make a plot of the type: 'xy', 'xz', 'xt', 'yz', 'yt'
+; , 'zt' or a 1d array if we make a plot of the type: 'x', 'y', 'z', 't'.
+;
+; @categories
+; graphic
+; 
+; @param FIELD {in}{required}
+; A field respecting litchamp.pro's criterions. See IDL>xhelp,'litchamp'
+;
+; @keyword BOXZOOM 
+; Vector indicating the geographic zone on which we want to cut the map. 
+;  If BOXZOOM has :
+; 1 element : The extraction is made on [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
+; 2 elements: The extraction is made on [lon1, lon2, lat1, lat2, boxzoom[0],boxzoom[1]]
+; 4 elements: The extraction is made on [Boxzoom, 0, max([gdept, gdepw])]
+; 5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
+; 6 elements: The extraction is made on Boxzoom
+;
+; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
+;
+; @keyword WDEPTH
+; to specify that the field is at W depth instad of T 
+; depth (automatically activated if vargrid eq 'W')
+; 
+; @keyword VECTEUR
+; It is a structure composed by 2 elements containing the 2 fields U
+; and V of values of the zonal and meridian component of the vector of the fields
+; to draw. These fields can be an array or a structure.
+;       For example: vecteur={matriceu:lec('unsurface'),matricev:lec('vnsurface')}
+;       Comment: name of elements of vectors are inconsenquential.
+;       vecteur={u:lec('unsurface'),v:lec('vnsurface')} is also appropriated.
+;
+; @keyword _EXTRA
+; used to pass your keywords
+;
+; @keyword DIREC   
+;
+; @uses 
+; common.pro
+;
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+;                      08/02/2000
+;
+; @version
+; $Id$
+;
+; @todo seb: mettre les param 
+;
+;-
+;------------------------------------------------------------
+;------------------------------------------------------------
 ;--------------------------------------------------------------
 ;
@@ -95,5 +115,5 @@
   ENDIF
 ;--------------------------------------------------------------
-; I1) lecture du champ
+; I1) Reading of the field
 ;--------------------------------------------------------------
   if n_elements(field) EQ 0 then return, report('field undefined')
@@ -107,5 +127,5 @@
   nan = total(finite(arr, /nan)) < 1
 ;---------------------------------------------------------------
-; redefinition du domaine 
+; redefinition of the domain
 ;---------------------------------------------------------------
   minprof = 0.
@@ -130,15 +150,6 @@
   ENDIF
 ;
-; la procedure domdef determine les elements qui sont a l''interieur
-; de la boxzoom. 
-; si on fait un plot contenant l''axe z:
-; Suivant l''axe z si on veut par ex faire un dessin
-; entre 0 et 1000 il se peut que l''on selectionne les niveaux
-; correspondants aux profondeurs comprises entre 0 et 900m (vu la
-; discretisation assez lache de cet axe qd on atteint des profondeurs
-; elevees). Pour ne pas que le dessin s''arrete a 900 mais bien a
-; 1000, on va aller chercher le niveau au dessous de 1000, d''ou la
-; manip suivante sur la boxzoom: l''approfondir de 1 niveau sur la
-; verticale (si possible) sans changer les y range. 
+; The procedure domdef determine elements which are inside the boxzoom. 
+; 
   if strpos(type, 'z') NE -1 THEN BEGIN
     if NOT keyword_set(localbox) then BEGIN 
@@ -149,5 +160,5 @@
     END
     nelbox = n_elements(localbox)
-;on garde les yranges (axe z) avant de changer la boxzoom.
+;we keep yranges (z axis) before changing the boxzoom.
     !y.range = [localbox[nelbox-1], localbox[nelbox-2]] 
     if vargrid EQ 'W' OR keyword_set(wdepth) then BEGIN
@@ -169,5 +180,5 @@
     if (lon2-lon1) gt (lat2-lat1) then type = 'xt' else type = 'yt'
 ;--------------------------------------------------------------
-; verification de la taille du tableau d''entree et de la valeur de type
+; verification of the input array size and the value of the type
 ;--------------------------------------------------------------
   grille, -1, -1, -1, -1, nx, ny, nz, firstx, firsty $
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checktypeminmax.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checktypeminmax.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checktypeminmax.pro	(revision 142)
@@ -27,4 +27,5 @@
 ; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;
+; @todo seb
 ;-
 ;------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/determineminmax.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/determineminmax.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/determineminmax.pro	(revision 142)
@@ -3,40 +3,54 @@
 ;------------------------------------------------------------
 ;+
-; NAME:determineminmax
 ;
-; PURPOSE:determiner le min et le max d''un tableau masque
+; @file_comments
+; Determine the min and the max of a mask array
 ;
-; CATEGORY: delestage de l''ecriture de plt, pltz, pltt
+; @categories 
+; Lightening of the writting of plt, pltz and pltt
 ;
-; CALLING SEQUENCE:determineminmax, tab, mask, vraimin, vraimax
+; @param TAB {in}{required}
+; The array whose we determine the min and the max
 ;
-; INPUTS:
+; @param MASK {in}{required}
+; The mask array 
 ;
-;       tab: le tableau dont il faut determiner le min et le max
-;       mask: le tableau de masque 
+; @keyword MININ 
+; It is a scalar which, if it is not defined, take the value of VRAIMIN
 ;
-; KEYWORD PARAMETERS:
+; @keyword MAXIN 
+; It is a scalar which, if it is not defined, take the value of VRAIMAX
 ;
-;       minin et maxin deux scalaire qui s''il ne sont pas definits
-;       prennent la valeur de vraimin et vraimax
+; @keyword ZEROMIDDLE 
+; Force the middle of the colorbar to be equal
+; to 0 (force max=max(abs([min,max])) and min=-max)
+; 
+; @keyword _EXTRA
+; used to pass your keywords
 ;
-;       /ZEROMIDDLE: fo force the middle of the colorbar to be equal
-;       to 0 (force max=max(abs([min,max])) and min=-max)
+; @keyword USETRI
+; To force using triangulation.
+; 
+; @param VRAIMIN {out}
+; The min of the array
 ;
-; OUTPUTS:
+; @param VRAIMAX {out}
+; The max of the array
 ;
-;       vraimin et vraimax: le min et le max du tableau
+; @uses
+; Common.pro
 ;
-; COMMON BLOCKS:
-;	common.pro
+; @restrictions
+; Look if the field is constant on the sea
 ;
-; SIDE EFFECTS:degarde si le champ est constant sur la mer
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+;                       11/12/98
 ;
-; RESTRICTIONS:
+; @version
+; $Id$
 ;
-; EXAMPLE:
+; @todo seb: manque les param glam et gphi
 ;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
-;                       11/12/98
 ;-
 ;------------------------------------------------------------
@@ -50,11 +64,11 @@
 ;-----------------------------------------------------------------------------
 ;-----------------------------------------------------------------------------
-; type de grille verticale:
+; Type o fthe vertical grid:
   if vargrid EQ 'W' then nz = nzw ELSE nz = nzt
 ; liste des points mer
   if (size(mask))[0] EQ 3 then mer = mask[*, *, 0] $
   ELSE mer = mask
-; si key_irregular eq 1, on masque aussi les points qui ne rentrent
-; pas ds le domaine geographique definit par lon1,lon2,lat1,lat2
+; If key_irregular eq 1, we mask also points which are not in the geographic 
+; domain defined by lon1,lon2,lat1,lat2
   if keyword_set(key_irregular) AND n_elements(glam) NE 0 AND n_elements(gphi) NE 0 then begin
     dom =   where(glam LT lon1 OR glam GT lon2 OR gphi LT lat1 OR gphi GT lat2)
@@ -73,5 +87,5 @@
     return
   endif
-; ma et mi : max et min sur les points mer
+; ma and mi : max and min on ocean points
   vraimax = max(tab[mer], min = vraimin, _extra = ex)
   sameminmax = testvar(var = minin) EQ testvar(var = maxin) 
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/givewindowsize.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/givewindowsize.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/givewindowsize.pro	(revision 142)
@@ -1,2 +1,8 @@
+;+
+;
+; @todo seb
+;
+;-
+;
 FUNCTION givewindowsize
 ;
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/meridienparallele.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/meridienparallele.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/meridienparallele.pro	(revision 142)
@@ -3,19 +3,23 @@
 ;------------------------------------------------------------
 ;+
-; NAME:meridienparallele
 ;
-; PURPOSE:trace certains medidiens ou paralles
+; @file_comments
+; Trace some meridians or parallel
 ;
-; CATEGORY:
+; @categories
+; graphic
 ;
-; CALLING SEQUENCE:meridienparallele, coupe
+; @param COUPE The type of drawing we treat
 ;
-; INPUTS:coupe: le type de dessin que l''on traite
+; @uses
+; common.pro
 ;
-; COMMON BLOCKS:
-;	common.pro
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+;                       11/12/98
 ;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
-;                       11/12/98
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placecolor.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placecolor.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placecolor.pro	(revision 142)
@@ -3,36 +3,34 @@
 ;------------------------------------------------------------
 ;+
-; NAME:PLACECOLOR
 ;
-; PURPOSE:permet de tracer la colorbar independammment d'un graphe
+; @file_comments
+; allows to trace the independently from a graph
+; By default, trace a color bar of the same type tahn the one present in plt
+; and pltz. If max, min and divisions are not stipulated, then max=sup,min=inf
+; and divisions=div.
 ;
-; CATEGORY:graph
+; @categories
+; graphic
 ;
-; CALLING SEQUENCE:placecolor,pos
+; @param POS
+; Vecteur composed by 4 elements giving coordinates of the left bottom 
+; corner and of the right up one -in cm- in which we want to do the color bar
 ;
-; INPUTS:
-;	pos:vecteur de 4 elements donnant les coordonnees du coin en bas
-; a gauche et de celui en haut a droite -en cm- ds lequel on veut faire la
-; barre de couleur
+; @keyword _extra
+; used to pass your keywords
 ;
-; KEYWORD PARAMETERS: tous ceux de colorbar.pro.
+; @uses
+; common.pro
 ;
-; par defaut trace une barre de couleur du meme type que celle presente ds plt
-; et pltz. si max, min et divisions ne sont pas stipulees alors max=sup,min=inf
-; et divisions=div
+; @restrictions
+; Only usable for POSTCRIPTs effectuated with plein2dessin
 ;
-; OUTPUTS:
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+;			7/5/98
 ;
-; COMMON BLOCKS:
-;	common.pro
+; @version
+; $Id$
 ;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:utilisable que pour les POSTCRIPT effectues avec plein2dessin
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
-;			7/5/98
 ;-
 ;------------------------------------------------------------
